Configure program accrual rates

Configure accrual rates at the program level.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Program ID

Body Params
integer
required

Transaction category ID

string
enum
required

Accrual type. The possible values at the program level are:

  • WITHDRAWAL_INTEREST — Interest on a withdrawal
  • BILLPAYMENT_INTEREST — Interest on a bill payment
  • OVERDRAFT_INTEREST — Interest on an overdraft
  • FINANCIAL_TAX — Financial tax
  • REFINANCING — Refinancing charge
  • OVERDUE — Overdue charge
  • FINE — Overdue fine
Allowed:
string
required

Period to calculate the accrual

UNTIL_DUE_DATE—The period extends from the transaction date plus one day to the due date. AFTER_DUE_DATE—The period extends from the due date plus one day to the current date.

Note: If an accrual needs to start at the transaction date and continue past the due date, then two accrual rates need to be created—one with UNTIL_DUE_DATE and another with AFTER_DUE_DATE.

double

Rate used to calculate the accrual when the account is not overdue.

Notes:

  • If you don't provide a value for this field, you must provide a value for rate_if_overdue.
  • If you provide a value for default_rate, but not rate_if_overdue, then the Pismo platform only calculates the interest if the account is not overdue. If you provide a value for rate_if_overdue, but not default_rate, then the platform only calculates the interest when the account is overdue. If you want the platform to calculate the interest in both cases, you must provide values for both fields.
double

Rate used to calculate the accrual when the account is overdue.

Notes:

  • If you don't provide a value for this field, you must provide a value for default_rate.
  • If you provide a value for default_rate, but not rate_if_overdue, then the Pismo platform only calculates the interest if the account is not overdue. If you provide a value for rate_if_overdue, but not default_rate, then the platform only calculates the interest when the account is overdue. If you want the platform to calculate the interest in both cases, you must provide values for both fields.
string
enum
required

When the rate is used to calculate the accrual. The possible values are:

  • IMMEDIATE — The rate is used to calculate the next generated accruals.
  • DUEDATE — The rate is used to calculate accruals only after the next due date.
Allowed:
ranges
array of objects

List of accrual rate ranges. Which range applies depends on a comparison of the last amount due with amount_due_lower_limit. For example, suppose you execute the endpoint with the following parameter values.

{
  'transaction_category_id': 107178,
  'accrual_type': 'WITHDRAWAL_INTEREST',
  'period_to_calculate: 'AFTER_DUE_DATE',
  'default_rate': 10.70,
  'rate_if_overdue': 12.70,
  'validity_to_calculate': 'IMMEDIATE',
  'ranges': [
      {
          'amount_due_lower_limit': 1000,
          'default_rate': 10.00,
          'rate_if_overdue': 8.123456
      },
      {
          'amount_due_lower_limit': 3000,
          'default_rate': 9.25,
          'rate_if_overdue': 7.351451
      }
  ]
}

If the last amount due is 4000, then both of above ranges are valid, but the amount_due_lower_limit with 3000 is the closest, so the values for default_rate and rate_if_overdue in the second range are used to calculate accruals.

Notes:

  • Either default_rate, rate_if_overdue, or both must be provided in each range.

  • The rate division by total days is not affected by whether or not ranges are defined.

  • The Overdue strategy start program parameter also impacts the amount due. For more information, refer to the entry for that parameter in Program parameters.

ranges
Responses

409

The specified resource status conflicts with the current request.

500

Internal server error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json